{
	"name": "form/nc/nc-bank/query/voucher_row.json",
	"info": "query order by bkv.target_date does not work in 4Dv19, sort data in nc-bank.js",
	"table": [
		{
			"table": "bookkeeping_voucher_row",
			"record_type": [""]
		}
	],
	"parameter": {
		"show_sql": true,
		"voucher_days_before": 0,
		"account_id": ["1910", "19214"],
		"start_date": "2012-04-01",
		"end_date": "2020-12-31"
	},
	"map_parameter": [
		{
			"function": "daysSubtract",
			"parameter": ["start_date", "voucher_days_before"],
			"result": "start_date"
		}
	],
	"query": [["bkvr.json_data.account_id", "in", "account_id"], "and", ["bkv.target_date", ">=", "start_date"], "and", ["bkv.target_date", "<=", "end_date"]],
	"order-": ["bkv.target_date", ">", "bkv.voucher_type", "<", "bkvr.voucher_id", ">", "bkvr.row_number", ">"]
}
